//Also you can see this:
//https://hassantariqblog.wordpress.com/2017/03/22/angular2-using-custom-loader-spinner-as-service-in-angular-2-application/
//https://codepen.io/MattIn4D/pen/LiKFC

.dwfe-spinner-dotted-circle {
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;

  svg,
  span {
    display: inline-block !important;
    user-select: none;
  }
  svg {
    width: 50px;
    height: 50px;
    margin-top: 70px;

    animation-name: spinner;
    animation-duration: 11.5s;
    animation-iteration-count: infinite;
    animation-timing-function: linear;
  }
  span {
    margin-top: 10px;
  }
}

@-webkit-keyframes spinner { //special for Safari
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(3600deg);
  }
}

@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(3600deg);
  }
}
